商品価格一覧取得
GET
/products/{product_id}/prices
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/example/prices?price_division=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/example/prices?price_division=1' \ --header 'Authorization: Bearer <token>'商品価格情報一覧を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_id
required
string
商品ID
※ ユーザーアクセストークンを利用する場合、ユーザーの所属する店舗で販売している商品IDを指定してください。
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
storeId:店舗IDpriceDivision:価格区分startDate:適用開始日endDate:適用終了日
limit
integer
上限数
page
integer
ページ
store_id
integer
店舗ID (全店を指定する場合 -1)
price_division
string
価格区分 (1:商品単価、2:会員価格)
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
productId
商品ID:数字15桁以内。
string
storeId
店舗ID:数字9桁以内。全店の場合「-1」を設定
string
priceDivision
価格区分:1:商品単価、2:会員価格
string
startDate
適用開始日:適用開始日。[YYYY-MM-DD]
string
endDate
適用終了日:適用終了日。[YYYY-MM-DD]
※未設定の場合、有効期限なしとして適用されます。
string
price
商品単価:商品単価。数字8桁以内。
string
Example
[ { "productId": "string", "storeId": "string", "priceDivision": "string", "startDate": "string", "endDate": "string", "price": "string" }]